#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-38gaIrWgyfQHpN6wDkMFZK
key:                  ghcide-2.0.0.0-38gaIrWgyfQHpN6wDkMFZK
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  7585a3a3f5c8f26e95c34c6290975a75
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-38gaIrWgyfQHpN6wDkMFZK
depends:
    Diff-0.4.1-5YXeu67zblTJDvJ3gNHbyf
    Glob-0.10.2-2GkmIYHcPju6ikFwelkdas
    aeson-2.1.2.1-8pX4IwvbwpcwXiIiReOQk
    aeson-pretty-0.8.10-2gcmr9jutoDBcOX8VwwuWN array-0.5.4.0
    async-2.2.5-1OQdSrpaQikD5R3gghkNQo base-4.17.2.1
    base16-bytestring-1.0.2.0-H4mWquGqZ47CRtjSGnMbY4 binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-4CWBjbNVYtn1DyQhk43ZQ9
    co-log-core-0.3.2.3-Gh8aYM11kW04oatg89H8tA containers-0.6.7
    cryptohash-sha1-0.11.101.0-8Z9ryOLAx8lZEq38RwV1u
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dependent-map-0.4.0.0-HXFuPG08cE33GQelKiO99G
    dependent-sum-0.7.2.0-3cr6QhQZWir5X4xSKPnHGW directory-1.3.7.1
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    enummapset-0.7.3.0-EgpOgkWrVeD2eQb2eyxXDZ exceptions-0.10.5
    extra-1.7.16-CT2Pr7M0vEzLXqrliS0eki filepath-1.4.2.2
    fingertree-0.1.5.0-96qcWEmQkXYY7OhfoyDuI
    focus-1.0.3.2-7AXIx1liJZCC4WqhNlpdGG ghc-9.4.8 ghc-boot-9.4.8
    ghc-boot-th-9.4.8 ghc-check-0.5.0.8-F2JWcwE2Dd6LYf4BSydX5
    ghc-paths-0.1.0.12-8lmZj1VFo8V7iNy4rcXCyj
    ghc-trace-events-0.1.2.9-7ocQkvnjYWsA9rDcBsLuv7
    haddock-library-1.11.0-6RcMgzeenBS8oz65BZPCzy
    hashable-1.4.4.0-3qP5TxmiOmVGP173jSDFZO
    hie-bios-0.12.0-4CbaXaoqO2bDTucKWhp3jB
    hie-compat-0.3.0.0-CbBComUrkWGfIGRN5OUf4
    hiedb-0.4.3.0-8cOpPZuCiN1BJDY4tpfa2R
    hls-graph-2.0.0.0-55C297ZfQE2IuyhX11SfiJ
    hls-plugin-api-2.0.0.0-GCCGW1i6IyxAXqLK4gORTF
    implicit-hie-0.1.2.7-EuZ5X9P2YHOKzF8h5728L7
    implicit-hie-cradle-0.5.0.1-IlsToKfoGScDp42cEQsLjy
    lens-5.2.3-ECHdyiBhGt3AEK5VHs81a3
    list-t-1.0.5.5-2C1lzVTja54EQ3A7RVonRn
    lsp-1.6.0.0-3LsX8V7dCXb5SsyCDeu2YI
    lsp-types-1.6.0.1-3Ph76KZqSJqK0YQo2w9ti3 mtl-2.2.2
    opentelemetry-0.8.0-AbwZJ4rQeSqGpGANFTTayg
    optparse-applicative-0.17.1.0-3m15PZJ9R8tLZfnW85Yn0z
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-6jCWnP5jsaKCzg7tcQDjYG
    prettyprinter-ansi-terminal-1.1.3-E63Ye1CuDmE7S322wUrIHt
    random-1.2.1.2-J6mYBSGGDLVAHQqGKIioSR
    regex-tdfa-1.3.2.2-D95SuRi2xoOHQuT5KVAOCg
    safe-exceptions-0.1.7.4-1nGG81acQaS86ZDpBRuA0H
    sorted-list-0.2.2.0-LqaiY1xqwSMIppZe3EGHZo
    sqlite-simple-0.4.19.0-2D5UY5ztk8u6Pd7UHTk3BK stm-2.5.1.0
    stm-containers-1.2.1.1-6Vth1kP7JbB4euKHvD1cfg
    syb-0.7.2.4-GwVxHFFp6zLBbNId74rfEd text-2.0.2
    text-rope-0.3-C7lhJiid9DO9Tzor8vuDXO time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unliftio-0.2.25.1-KoAUwIIyk4m4OHQUsvge0I
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-8U9CBLajvKUXcrLJVqNaj
    vector-0.13.1.0-3m7HMvWbOJNDnUiYgFdHrI

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

